<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" [id]="formModel.formKey" fxLayout="row wrap" fxFlex="100">
    <div [ngClass]="(formModel.titleClass||'') + ' formTitle'" [fxFlex]="formModel.titleFlex.fxFlex"
        [fxFlex.gt-xs]="formModel.titleFlex.gt_xs" [fxFlex.gt-sm]="formModel.titleFlex.gt_sm"
        [fxFlex.gt-md]="formModel.titleFlex.gt_md" [fxFlex.gt-lg]="formModel.titleFlex.gt_lg"
        [fxFlex.lt-sm]="formModel.titleFlex.lt_sm" [fxFlex.lt-md]="formModel.titleFlex.lt_md"
        [fxFlex.lt-lg]="formModel.titleFlex.lt_lg" [fxFlex.lt-xl]="formModel.titleFlex.lt_xl"
        [fxFlex.xs]="formModel.titleFlex.xs" [fxFlex.sm]="formModel.titleFlex.sm" [fxFlex.md]="formModel.titleFlex.md"
        [fxFlex.lg]="formModel.titleFlex.lg" [fxFlex.xl]="formModel.titleFlex.xl"
        [fxFlexOffset]="formModel.titleFlexOffset.fxFlex" [fxFlexOffset.gt-xs]="formModel.titleFlexOffset.gt_xs"
        [fxFlexOffset.gt-sm]="formModel.titleFlexOffset.gt_sm" [fxFlexOffset.gt-md]="formModel.titleFlexOffset.gt_md"
        [fxFlexOffset.gt-lg]="formModel.titleFlexOffset.gt_lg" [fxFlexOffset.lt-sm]="formModel.titleFlexOffset.lt_sm"
        [fxFlexOffset.lt-md]="formModel.titleFlexOffset.lt_md" [fxFlexOffset.lt-lg]="formModel.titleFlexOffset.lt_lg"
        [fxFlexOffset.lt-xl]="formModel.titleFlexOffset.lt_xl" [fxFlexOffset.xs]="formModel.titleFlexOffset.xs"
        [fxFlexOffset.sm]="formModel.titleFlexOffset.sm" [fxFlexOffset.md]="formModel.titleFlexOffset.md"
        [fxFlexOffset.lg]="formModel.titleFlexOffset.lg" [fxFlexOffset.xl]="formModel.titleFlexOffset.xl">
        {{formModel.title}}</div>
    <div [ngClass]="(input.front.class||'')+' inputBox inputBox-'+input.inputKey" *ngFor="let input of formModel.inputs"
        [fxFlex]="input.front.inputFlex.fxFlex" [fxFlex.gt-xs]="input.front.inputFlex.gt_xs"
        [fxFlex.gt-sm]="input.front.inputFlex.gt_sm" [fxFlex.gt-md]="input.front.inputFlex.gt_md"
        [fxFlex.gt-lg]="input.front.inputFlex.gt_lg" [fxFlex.lt-sm]="input.front.inputFlex.lt_sm"
        [fxFlex.lt-md]="input.front.inputFlex.lt_md" [fxFlex.lt-lg]="input.front.inputFlex.lt_lg"
        [fxFlex.lt-xl]="input.front.inputFlex.lt_xl" [fxFlex.xs]="input.front.inputFlex.xs"
        [fxFlex.sm]="input.front.inputFlex.sm" [fxFlex.md]="input.front.inputFlex.md"
        [fxFlex.lg]="input.front.inputFlex.lg" [fxFlex.xl]="input.front.inputFlex.xl"
        [fxFlexOffset]="input.front.inputFlexOffset.fxFlex" [fxFlexOffset.gt-xs]="input.front.inputFlexOffset.gt_xs"
        [fxFlexOffset.gt-sm]="input.front.inputFlexOffset.gt_sm"
        [fxFlexOffset.gt-md]="input.front.inputFlexOffset.gt_md"
        [fxFlexOffset.gt-lg]="input.front.inputFlexOffset.gt_lg"
        [fxFlexOffset.lt-sm]="input.front.inputFlexOffset.lt_sm"
        [fxFlexOffset.lt-md]="input.front.inputFlexOffset.lt_md"
        [fxFlexOffset.lt-lg]="input.front.inputFlexOffset.lt_lg"
        [fxFlexOffset.lt-xl]="input.front.inputFlexOffset.lt_xl" [fxFlexOffset.xs]="input.front.inputFlexOffset.xs"
        [fxFlexOffset.sm]="input.front.inputFlexOffset.sm" [fxFlexOffset.md]="input.front.inputFlexOffset.md"
        [fxFlexOffset.lg]="input.front.inputFlexOffset.lg" [fxFlexOffset.xl]="input.front.inputFlexOffset.xl">
        <div [ngClass]="(input.front.inputClass||'')  +' input input-'+input.inputKey">
            <div *ngIf="input.front.typeText">
                <mat-form-field [ngSwitch]="input.front.typeText.type">
                    <mat-label>{{input.front.label}}</mat-label>
                    <ng-container *ngSwitchCase="'textarea'">
                        <textarea rows="3" matInput [errorStateMatcher]="matchers[input.inputKey]" Class="input-field "
                            [placeholder]="input.front.typeText.placeholder"
                            [formControlName]="input.inputKey"></textarea>
                    </ng-container>
                    <ng-container *ngSwitchCase="'select'">
                        <mat-select [formControlName]="input.inputKey">
                            <div *ngFor="let option of input.front.typeText.options">
                                <mat-option [value]="option.value">{{option.option}}</mat-option>
                            </div>
                        </mat-select>
                    </ng-container>
                    <ng-container *ngSwitchCase="'autocomplete'">
                        <input matInput Class="input-field" [errorStateMatcher]="matchers[input.inputKey]"
                            [placeholder]="input.front.typeText.placeholder" [formControlName]="input.inputKey"
                            [matAutocomplete]="auto">
                        <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete"
                            [displayWith]="optionDisplayWith">
                            <mat-option *ngFor="let option of input.front.typeText.options" [value]="option">
                                {{option.name}}
                            </mat-option>
                        </mat-autocomplete>
                    </ng-container>
                    <ng-container *ngSwitchDefault>
                        <input matInput [errorStateMatcher]="matchers[input.inputKey]" Class="input-field "
                            [placeholder]="input.front.typeText.placeholder" [formControlName]="input.inputKey"
                            [type]="input.front.typeText.type" autoComplete="on" [readonly]="input.front.readonly">
                    </ng-container>
                    <mat-error *ngIf="!!(errors$|async)[input.inputKey]">
                        {{(errors$|async)[input.inputKey]}}
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
    </div>
    <div [ngClass]="(formModel.buttonContainerClass||'')+' submitButtonContainer'"
        [fxFlex]="formModel.buttonFlex.fxFlex" [fxFlex.gt-xs]="formModel.buttonFlex.gt_xs"
        [fxFlex.gt-sm]="formModel.buttonFlex.gt_sm" [fxFlex.gt-md]="formModel.buttonFlex.gt_md"
        [fxFlex.gt-lg]="formModel.buttonFlex.gt_lg" [fxFlex.lt-sm]="formModel.buttonFlex.lt_sm"
        [fxFlex.lt-md]="formModel.buttonFlex.lt_md" [fxFlex.lt-lg]="formModel.buttonFlex.lt_lg"
        [fxFlex.lt-xl]="formModel.buttonFlex.lt_xl" [fxFlex.xs]="formModel.buttonFlex.xs"
        [fxFlex.sm]="formModel.buttonFlex.sm" [fxFlex.md]="formModel.buttonFlex.md"
        [fxFlex.lg]="formModel.buttonFlex.lg" [fxFlex.xl]="formModel.buttonFlex.xl"
        [fxFlexOffset]="formModel.buttonFlexOffset.fxFlex" [fxFlexOffset.gt-xs]="formModel.buttonFlexOffset.gt_xs"
        [fxFlexOffset.gt-sm]="formModel.buttonFlexOffset.gt_sm" [fxFlexOffset.gt-md]="formModel.buttonFlexOffset.gt_md"
        [fxFlexOffset.gt-lg]="formModel.buttonFlexOffset.gt_lg" [fxFlexOffset.lt-sm]="formModel.buttonFlexOffset.lt_sm"
        [fxFlexOffset.lt-md]="formModel.buttonFlexOffset.lt_md" [fxFlexOffset.lt-lg]="formModel.buttonFlexOffset.lt_lg"
        [fxFlexOffset.lt-xl]="formModel.buttonFlexOffset.lt_xl" [fxFlexOffset.xs]="formModel.buttonFlexOffset.xs"
        [fxFlexOffset.sm]="formModel.buttonFlexOffset.sm" [fxFlexOffset.md]="formModel.buttonFlexOffset.md"
        [fxFlexOffset.lg]="formModel.buttonFlexOffset.lg" [fxFlexOffset.xl]="formModel.buttonFlexOffset.xl">
        <button mat-raised-button color="primary" [ngClass]="(formModel.buttonClass||'')+' submitButton'"
            type="submit">{{formModel.buttonText}}</button>
    </div>
</form>